import socket


class TCPEventHandler:
    __tcpSocket:socket

    def __init__(self, socket:socket):
        self.__tcpSocket = socket

    # handles passing of event data to the right functions
    def handleTCPEvents(self, event):
        pass

class UDPEventHandler:
    __udpSocket:socket

    def __init__(self, socket:socket):
        self.__udpSocket = socket

    def handleUDPEvents(self, event):
        if event["event"] == "PlaceCard":
            pass
        elif event["event"] == "MoveCard":
            pass
        elif event["event"] == "RemoveCard":
            pass
        elif event["event"] == "AttackCard":
            pass
        elif event["event"] == "AttackPlayer":
            pass
        elif event["event"] == "ActivateEffectCard":
            pass
        elif event["event"] == "ActivateMonsterCard":
            pass